//+------------------------------------------------------------------+
//|                                                Alt_sign_LWMA.mq4 |
//|                                               Victor I. Nicolaev |
//|                                                    vinin@mail.ru |
//+------------------------------------------------------------------+
#property copyright "Victor I. Nicolaev"
#property link      "vinin@mail.ru"

#property indicator_chart_window
#property indicator_buffers 1
#property indicator_color1 Red
//---- input parameters
extern int       iPeriod=55;
//---- buffers
double ExtMapBuffer1[];
//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
int init()
  {
//---- indicators
   SetIndexStyle(0,DRAW_LINE);
   SetIndexBuffer(0,ExtMapBuffer1);
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator deinitialization function                       |
//+------------------------------------------------------------------+
int deinit()
  {
//----
   
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator iteration function                              |
//+------------------------------------------------------------------+
int start() {
   int   limit,
         counted_bars=IndicatorCounted();
//---- check for possible errors
   if(counted_bars<0) return(-1);
//---- last counted bar will be recounted
   if(counted_bars>0) counted_bars--;
   limit=Bars-counted_bars;
//---- macd counted in the 1-st buffer
   double tmp;
   int i,j,count;
   int znak=-1;
   for (i=limit-1; i>=0; i--) {
      count=0;
      tmp=0;
      for (j=iPeriod-1;j>0;j--) {
         tmp+=(znak*(iPeriod-j)*Close[i+j]);
         count+=(znak*(iPeriod-j));
         znak*=-1;
      }
      if (count!=0)
         ExtMapBuffer1[i]=tmp/(count*1.0);
   }
   return(0);
}
//-----------------------------------------------------------+